# inet_pton

(PHP 5 >= 5.1.0, PHP 7)

inet_pton — Converts a human readable IP address to its packed in_addr representation

### Description

inet_pton ( string `$address` ) : string

This function converts a human readable IPv4 or IPv6 address (if PHP was built with IPv6 support enabled) into an address family appropriate 32bit or 128bit binary structure.

### Parameters

`address`

  A human readable IPv4 or IPv6 address.

### Return Values

Returns the in_addr representation of the given `address`, or `FALSE` if a syntactically invalid `address` is given (for example, an IPv4 address without dots or an IPv6 address without colons).

### Examples

Example #1 inet_pton() Example

`<?php
$in_addr = inet_pton('127.0.0.1');
$in6_addr = inet_pton('::1');
?>`

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on Windows platforms.

### See Also

- ip2long() - Converts a string containing an (IPv4) Internet Protocol dotted address into a long integer
- long2ip() - Converts an long integer address into a string in (IPv4) Internet standard dotted format
- inet_ntop() - Converts a packed internet address to a human readable representation